> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Cohort Patients



## OpenAPI

````yaml get /comms/cohorts/{cohort_id}/patients
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /comms/cohorts/{cohort_id}/patients:
    get:
      tags:
        - Audience Cohorts
      summary: Get Cohort Patients
      operationId: get_cohort_patients_comms_cohorts__cohort_id__patients_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: cohort_id
          in: path
          required: true
          schema:
            type: string
            title: Cohort Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 25
            title: Per Page
        - name: channel
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/BlastChannel'
              - type: 'null'
            title: Channel
        - name: is_marketing
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Is Marketing
        - name: tz
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Client timezone for day-based filter calculations
            title: Tz
          description: Client timezone for day-based filter calculations
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_CohortPatient_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BlastChannel:
      type: string
      enum:
        - SMS
        - EMAIL
      title: BlastChannel
    Page_CohortPatient_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/CohortPatient'
          type: array
          title: Data
        total:
          type: integer
          title: Total
      type: object
      required:
        - data
        - total
      title: Page[CohortPatient]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CohortPatient:
      properties:
        id:
          type: string
          title: Id
        firstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstname
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
        blastStatus:
          anyOf:
            - type: string
            - type: 'null'
          title: Blaststatus
        verificationStatus:
          anyOf:
            - type: string
            - type: 'null'
          title: Verificationstatus
      type: object
      required:
        - id
      title: CohortPatient
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````